Bug 1276548 - HAProxy router does not expose stats if stats-port is specified
HAProxy router does not expose stats if stats-port is specified
Status: CLOSED CURRENTRELEASE
Product: OpenShift Container Platform
Classification: Red Hat
Component: Routing (Show other bugs)
3.0.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ram Ranganathan
zhaozhanqi
:
Depends On:
Blocks: 1267746
  Show dependency treegraph
 
Reported: 2015-10-30 01:56 EDT by Miheer Salunke
Modified: 2015-11-23 09:43 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-11-23 09:43:59 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Miheer Salunke 2015-10-30 01:56:56 EDT
Description of problem:

This ticket is filed to back port the fix present in 
https://github.com/openshift/origin/issues/4884 

The HAProxy router does not expose stats even if the stats port is specified. 

> Is there an issue with haproxy statistics in 3.0.2?
>
> Just built a new configuration, and haproxy doesn't seem to be exposing statistics.
>
> Router creation command was:
>
> # oadm router ose-router --replicas=1 \
>     --credentials='/etc/openshift/master/openshift-router.kubeconfig' \
>     --service-account=router \
>     --stats-password='xxxxxxx' \
>     --stats-port=1936 \
>     --stats-user='admin'
>
> >From the Deployment Controller:
>        - name: STATS_PASSWORD
>           value: xxxxxxx
>         - name: STATS_PORT
>           value: "1936"
>         - name: STATS_USERNAME
>           value: admin
>
> But when I look at /var/lib/haproxy/conf/haproxy.config in the container I see:-
> ........
>   # Long timeout for WebSocket connections.
>   timeout tunnel 1h
>
>
>
> frontend public
>   bind :80
>   mode http
> .........
> Based on the template, the blank space before the "frontend" section is where the "listen stats" section is meant to be.
>
> Has something changed in 3.0.2 or am I missing something.
>


Version-Release number of selected component (if applicable):
 Openshift Enterprise 3.0.2 

How reproducible:
Always

Steps to Reproduce:
1.
2.
3.

Actual results:


Expected results:


Additional info:
Comment 5 zhaozhanqi 2015-11-03 00:58:38 EST
Move this bug to varified according to comment 2

Note You need to log in before you can comment on or make changes to this bug.